Subject: Re: [dnsext] I-D Action:draft-ietf-dnsext-rfc2672bis-dname-15.txt

From: ap <[email-masked]>
Date: Wed, 25 Mar 2009 11:09:07 +0100

Hi,

Alfred Hnes wrote:
> (1)  Section 2.2
> 
> In
>   http://ops.IETF.ORG/lists/namedroppers/namedroppers.2009/msg00354.html
> Andreas Papst has discussed the table of examples in Section 2.2
> (Table 1), when not read as independent example lines.
> However, I strongly assume that this table had been intended as
> a collection of _independent_ (single-line) examples.
> 
> Perhaps this should be emphasized even more in the text to avoid
> having to discuss the combined effects of any two lines in the table.
> How about inserting blank lines between the lines in the table?
> 

This is not my point.
For me the last column of this table (term "result") should give the
final value for DNS address resolution.
Thus:
   QNAME            owner  DNAME   target         result
   ---------------- -------------- -------------- -----------------
   cyc.example.com. example.com.   example.com.   -> ERROR
   cyc.example.com. example.com.   c.example.com. -> ERROR
(ERROR is due to infinite looping when resolving this QNAME record)
and
   QNAME            owner  DNAME   target         result
   ---------------- -------------- -------------- -----------------
   shortloop.x.x.   x.             .              shortloop.
   shortloop.x.     x.             .              shortloop.

On the other hand, I made two suggestions
1/ add a sentence like this to your draft:
   a DNAME record pointing to itself or down to a subdomain
   is a logical MUST NOT use case
2/ for authoritative nameservers and named-checkzone:
   implement a check if a DNAME record is pointing to itself or down the
   domain-tree at zone loading time to avoid error conditions in DNS.

Kind regards
Andreas Papst